Package org.apache.commons.imaging.formats.tiff

# Class AbstractTiffImageData.Tiles

java.lang.Object
org.apache.commons.imaging.formats.tiff.AbstractTiffImageData
org.apache.commons.imaging.formats.tiff.AbstractTiffImageData.Tiles

Enclosing class:
  `AbstractTiffImageData`

public static class AbstractTiffImageData.Tiles extends AbstractTiffImageData

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.apache.commons.imaging.formats.tiff.AbstractTiffImageData

  `AbstractTiffImageData.Data, AbstractTiffImageData.Strips, AbstractTiffImageData.Tiles`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final AbstractTiffElement.DataElement[]`
  `tiles`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Tiles(AbstractTiffElement.DataElement[] tiles, int tileWidth, int tileLength)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `AbstractImageDataReader`
  `getDataReader(TiffDirectory directory, AbstractPhotometricInterpreter photometricInterpreter, int bitsPerPixel, int[] bitsPerSample, int predictor, int samplesPerPixel, int width, int height, int compression, TiffPlanarConfiguration planarConfiguration, ByteOrder byteOrder)`
  `AbstractTiffElement.DataElement[]`
  `getImageData()`
  `int`
  `getTileHeight()`
  Gets the height of individual tiles.
  `int`
  `getTileWidth()`
  Gets the width of individual tiles.
  `boolean`
  `stripsNotTiles()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### tiles

    public final AbstractTiffElement.DataElement[] tiles

- ## Constructor Details

  - ### Tiles

    public Tiles(AbstractTiffElement.DataElement[] tiles, int tileWidth, int tileLength)

- ## Method Details

  - ### getDataReader

    public AbstractImageDataReader getDataReader(TiffDirectory directory, AbstractPhotometricInterpreter photometricInterpreter, int bitsPerPixel, int[] bitsPerSample, int predictor, int samplesPerPixel, int width, int height, int compression, TiffPlanarConfiguration planarConfiguration, ByteOrder byteOrder) throws IOException, ImagingException
    Specified by:
      `getDataReader` in class `AbstractTiffImageData`
    Throws:
      `IOException`
      `ImagingException`

  - ### getImageData

    public AbstractTiffElement.DataElement[] getImageData()
    Specified by:
      `getImageData` in class `AbstractTiffImageData`

  - ### getTileHeight

    public int getTileHeight()
    Gets the height of individual tiles. Note that if the overall image height is not a multiple of the tile height, then the last row of tiles may extend beyond the image height.
    Returns:
      an integer value greater than zero

  - ### getTileWidth

    public int getTileWidth()
    Gets the width of individual tiles. Note that if the overall image width is not a multiple of the tile width, then the last column of tiles may extend beyond the image width.
    Returns:
      an integer value greater than zero

  - ### stripsNotTiles

    public boolean stripsNotTiles()
    Specified by:
      `stripsNotTiles` in class `AbstractTiffImageData`